Bug 47981 - allow language specific html-versions (index.html.en) to take precedence over general index.htmlallow
Summary: allow language specific html-versions (index.html.en) to take precedence over...
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.13
Hardware: Other Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2009-10-12 04:36 UTC by Elmar Stellnberger
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elmar Stellnberger 2009-10-12 04:36:34 UTC
Sometimes server side language detection fails which makes an index.html  necessaray that selects the language based on javascript. However this method is sub-optimal as it can take some time and will make the browser display flash up the selection page instead of directly displaying the target page.
  My request would be to let the AddLanguage-tags in .htaccess by default take precedence or if that should not be desired due to any kind of reason addding a command that gives the AddLanguage-tags precendence (f.i.: Options AddLanguage).
  i.e. as soon as an AddLanguage-tag shows up in .htaccess
AddLanguage en .en
AddLanguage de .de
  index.html.en & index.html.de should be preferred over index.html.
Comment 1 Elmar Stellnberger 2009-10-12 04:45:39 UTC
example page: http://www.elstel.com
Comment 2 André Malo 2016-07-28 09:34:06 UTC
Hmm. It sounds like you're looking for http://httpd.apache.org/docs/2.4/mod/mod_negotiation.html#languagepriority and http://httpd.apache.org/docs/2.4/mod/mod_negotiation.html#forcelanguagepriority
?

You also might want to look at how the httpd manual itself works. The config is part of the distribution (in conf/extra).
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:41 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.